pulseaudio-modules-droid-jb2q (14.2.97-2+git20220306195618.2e04a96.bookworm) bookworm; urgency=medium

  * [packaging] Provide the virtual packages pulseaudio-modules-droid-apispecific{,-dev}

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 06 Mar 2022 20:56:18 +0100

pulseaudio-modules-droid-jb2q (14.2.97-1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * common: Handle profiles with no supported channels
  * Merge tag 'upstream/14.2.97' into feature/bookworm/upgrade-14.2.97-jb2q
  * [packaging] Move to the -jb2q variant

  [ Juho Hämäläinen ]
  * Merge pull request #111 from g7/for-upstream/mer-hybris/no-channels
  * common: New API for calling HAL functions.
  * README: Add section about pa_shared based API.
  * Merge pull request #112 from jusa/new-api
  * Bump packaging version.
  * README: Update about name and versions.
  * packaging: Rename spec file.
  * packaging: Rename to pulseaudio-modules-droid-jb2q.
  * module: Add jb2q branding.
  * Merge pull request #1 from mer-hybris/q
  * packaging: Replace old modules.
  * Merge pull request #2 from mer-hybris/obsoletes
  * packaging: Replace all packages.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 28 Feb 2022 01:00:26 +0100

pulseaudio-modules-droid-jb2q (14.2.93-1) bookworm; urgency=medium

  * Merge tag 'upstream/14.2.93' into feature/bookworm/upgrade-14.2.93

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 30 Jan 2022 19:10:35 +0100

pulseaudio-modules-droid-jb2q (14.2.88-2+upgrade12) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]
  * [pulseaudio-modules-droid] Move to bookworm

  [ Juho Hämäläinen ]
  * common: Refactor quirks parsing.
  * card: Parse quirks while loading hw module.
  * common: Add quirk audio_cal_wait.
  * common: Fix format specifiers.
  * sink: Fix format specifiers.
  * source: Fix format specifiers.
  * README: Add notes about audio_cal_wait quirk.
  * README.md: Rename from README.
  * README.md: Markdown formatting fixes.
  * sink: Get hw module with new function in stand alone mode.
  * source: Get hw module with new function in stand alone mode.
  * Merge pull request #101 from jusa/cal
  * sink: Enable deferred volume for hw volume control.
  * sink: Apply channel average volume to stream.
  * sink: Add option to prewrite silence always.
  * Merge pull request #102 from jusa/volume_control
  * Bump packaging version.
  * sink: Avoid segfault when voice call starts with deferred volume.
  * Merge pull request #103 from jusa/volume_control
  * Bump packaging version.
  * common: Set BT_SCO parameter for Bluetooth routes.
  * Merge pull request #104 from jusa/bt_sco
  * Bump packaging version.
  * common: Add quirk standby_set_route.
  * common: Add quirk speaker_before_voice.
  * Merge pull request #107 from jusa/jb53992
  * Bump packaging version.
  * common: Add generic converter for fancy audio sources.
  * common: Allow custom audio source based on property.
  * source: Use source-output proplist when reconfiguring input stream.
  * common: Fix segfault with adaptations which assume empty adress is not NULL.
  * Merge pull request #108 from jusa/jb55711
  * Bump packaging version.
  * common: Use more generic stream property for audio source.
  * Merge pull request #109 from jusa/jb55711
  * Bump packaging version.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 08 Dec 2021 16:19:04 +0100

pulseaudio-modules-droid-jb2q (14.2.88-2) bullseye; urgency=medium

  * [packaging] pulseaudio-modules-droid-dev: fix dependency on pulseaudio-modules-droid

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 13 Mar 2021 19:18:47 +0100

pulseaudio-modules-droid-jb2q (14.2.88-1) bullseye; urgency=medium

  [ r3vn ]
  * Merge remote-tracking branch 'mer-hybris/master' into feature/bullseye/14.2.88
  * [ci] build using Drone CI

  [ Matti Lehtimäki ]
  * packaging: Support new droid-devel header location.
  * Merge pull request #100 from mer-hybris/includedir
  * Merge pull request #99 from jusa/pa14.2

  [ Juho Hämäläinen ]
  * modules: Add missing include for pa_thread_make_realtime().
  * sink: Remove code needed for versions below 12.
  * source: Remove code needed for versions below 12.
  * build: Stop using symdef headers for modules.

 -- r3vn <giuseppe.corti@protonmail.com>  Tue, 02 Mar 2021 23:50:32 +0100

pulseaudio-modules-droid-jb2q (12.2.86-2) bullseye; urgency=medium

  * [packaging] fix missing files

 -- r3vn <giuseppe.corti@protonmail.com>  Mon, 02 Nov 2020 16:05:09 +0100

pulseaudio-modules-droid-jb2q (12.2.86-1) bullseye; urgency=medium

  [ r3vn ]
  * Merge branch 'upstream' into feature/bullseye/12.2.86

  [ Juho Hämäläinen ]
  * parser-xml: Pass root element in parse_file().
  * parser-xml: Support module includes in configuration files.
  * Merge pull request #98 from jusa/xml-includes
  * Bump packaging version.

 -- r3vn <giuseppe.corti@protonmail.com>  Fri, 30 Oct 2020 00:11:03 +0100

pulseaudio-modules-droid-jb2q (12.2.84-2) bullseye; urgency=medium

  * [packaging] fixed package name

 -- r3vn <giuseppe.corti@protonmail.com>  Tue, 13 Oct 2020 00:31:20 +0200

pulseaudio-modules-droid-jb2q (12.2.84-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Build-depend on pulseaudio-pulsecore-dev

  [ r3vn ]
  * build using travis-ci

  [ Simonas Leleiva ]
  * packaging: Fix for 64bit
  * Merge pull request #97 from mer-hybris/64bit
  * Bump packaging version.

  [ Ratchanan Srirattanamet ]
  * Add virtual_voice_stream
  * card: read headphone availability from input device
  * add libevdev-dev as a build dependency

  [ Alfred Neumayer ]
  * src: Add h2w detection code from pulseaudio-packaging

  [ NeKit ]
  * Add libexpat1-dev as build dependency (for XML config parsing)
  * Merge remote-tracking branch 'mer/master' into buster
  * New upstream release 12.2.84

  [ Juho Hämäläinen ]
  * [common] Add quirk realcall. MER#1908
  * [card] Apply specific parameters when realcall quirk is enabled. MER#1908
  * [common] Make pa_droid_quirk inline function.
  * [README] Add description for realcall quirk.
  * Bump packaging version.
  * Merge pull request #76 from jusa/mer1908
  * [build] Use portable module lib path. JB#42043
  * Merge pull request #77 from jusa/jb42043
  * [common] Split configuration parsing to multiple files.
  * [config] Allocate config in parsing functions.
  * [legacy-parser] Allocate config in parser.
  * [build] Add test for expat. JB#42564
  * [xml-parser] Placeholder for xml parser implementation.
  * [xml-parser] New parser for xml style configuration. Fixes JB#42564
  * [conversion] Add workarounds for format and device parsing. JB#42564
  * [sink] Include conversion header.
  * [source] Include conversion header.
  * [xml-parser] Drop include parsing for now.
  * [xml-parser] Add workaround for certain config error. JB#42564
  * [build] Use expat.
  * [packaging] Build requires expat. JB#42564
  * [modules] Update contact information.
  * [module-droid-sink] Include conversion header.
  * Merge pull request #78 from jusa/xml_audio_policy
  * Bump packaging version.
  * [conversion] Disable input flags for API 1 and 2. JB#42564
  * [sbj] Add missing include.
  * [build] Add workaround for SBJ HAL headers. JB#42564
  * [sbj] Disable xml explicitly.
  * Bump packaging version.
  * Merge pull request #79 from jusa/sbj_build_fix
  * [sbj] Add empty input flag struct.
  * [common] Use uint32_t for input flags. JB#42564
  * [parser-xml] No need to idfef input flags.
  * Merge branch 'input_flags'
  * [common] Check for SPEAKER_DRC_ENABLED_TAG directly. JB#42564
  * [common] Check for primary flag instead of string. JB#42564
  * [common] Combine output and input configurations.
  * [common] Remove unused config functions.
  * [README] Add note about xml parsing.
  * [config] Reorder configuration file search locations. JB#42564
  * [xml-parser] More generic channel mask direction workaround. JB#42564
  * [config] Refactor hw module creation.
  * [common] Remove sllist implementation to own header.
  * [common] Use global include with public headers.
  * [common] Move public headers to include/droid
  * [modules] Update includes.
  * [build] Install common headers and pc file properly.
  * [packaging] Remove obsolete header and pc file installs.
  * Merge pull request #80 from jusa/xml_audio_policy
  * Bump packaging version.
  * [common] Make sure QCOM_HARDWARE is defined when needed. JB#42564
  * Merge pull request #81 from jusa/xml_audio_policy
  * Bump packaging version.
  * [keepalive] Update state properly.
  * [common] Add quirk unload_call_exit. JB#43235
  * [common] Be less verbose about missing config.
  * [card] Use common pattern of getting hw module.
  * [common] Add function to duplicate configuration.
  * [common] Duplicate config for hw module.
  * [card] Free config after use.
  * [sink] Free config after use.
  * [source] Free config after use.
  * [README] Add description for unload_call_exit quirk.
  * Merge pull request #83 from jusa/jb43235
  * [xml-parser] Be less strict in parsing module attributes. JB#42564
  * Merge pull request #84 from jusa/xml_parser
  * Bump packaging version.
  * [sbj] Add missing define to fix voicecall recording. Fixes JB#43836
  * Merge pull request #85 from jusa/jb43836
  * Bump packaging version.
  * droid-sink: Update state setting to PulseAudio 12.2 style.
  * droid-source: Update state setting to PulseAudio 12.2 style.
  * packaging: Bump module version.
  * Merge pull request #86 from jusa/pa12.2
  * droid-sink droid-source: Return from process_msg only on error.
  * Merge pull request #87 from jusa/jb44329
  * Bump packaging version.
  * xml-parser: Avoid segfault if root node is not defined.
  * droid-sink: Don't free config twice.
  * module-droid-sink: Add config as valid module argument.
  * module-droid-source: Add config as valid module argument.
  * build: Use correct channel input channel names.
  * build: Generate entry macros as well.
  * common: Use entry macros instead of ifdeffing.
  * source: Make sure proper silence byte is used.
  * README: Update enum check example.
  * xml-parser: Don't allocate unhandled element data.
  * Merge pull request #88 from jusa/dev
  * Bump packaging version.
  * card: Add voicemmode 1 and 2 for debugging purposes.
  * card: Enable voicecall-record profile always with voicecall.
  * card: Improve virtual profiles implementation.
  * Merge pull request #91 from jusa/voicemmode
  * common: Always use only one input.
  * source: Use modified device struct.
  * card: There can be only one source at maximum.
  * common: Remove droid hooks.
  * source: Remove droid hooks and resampler code.
  * common: Add helpers for getting current stream metrics.
  * common: Add microphone mute control to common lib.
  * common: Rewrite input stream opening.
  * common: Input stream is always primary.
  * common: Pre-increment output id.
  * common: Reimplement mode change and input stream routing.
  * card: Use set mode function from common.
  * source: Use new function for opening input stream.
  * source: Set real sample spec and channel map values.
  * source: Tag this source always as both builtin and external.
  * source: Implement dynamic source.
  * source: Remove obsolete comment.
  * source: Format debug log line better.
  * source: Try to function even if stream reconfiguration fails.
  * card: Fix some unused variable warnings.
  * common: Don't create extra profiles with default profile.
  * common: Fix creating old-style profiles.
  * card: Allow selecting whatever module when not using default profile.
  * README: Add description of reconfiguring droid source.
  * source: Use mic control functions from common.
  * build: Check for some more input flags.
  * common: Recognize some more input flags.
  * modules: No point in supporting anything older than PulseAudio 10.
  * Merge pull request #92 from jusa/input
  * Bump packaging version.
  * keepalive: Remove module.
  * build: Nothing needs D-Bus.
  * packaging: No more keepalive, nothing needs D-Bus.
  * packaging: Add require for pulseaudio-module-keepalive.
  * README: Update keepalive state.
  * Merge branch 'pulse-13-compat'
  * Merge branch 'license'
  * Bump packaging version.
  * Merge pull request #94 from mer-hybris/jb48080
  * Bump packaging version.
  * modules: Log when creating.
  * common: Refactor stream standby calls.
  * common: Refactor input stream closing a bit.
  * common: Log input device names when setting new value.
  * common: Use correct pointer when logging input stream.
  * common: Allow reconfiguring input stream.
  * source: Use reconfigure instead of freeing and re-creating stream.
  * conversion: Add generic string lookup.
  * config: Lookup output or input modules by name.
  * common: Make primary output stream lookup function public.
  * common: Store device definition to droid stream.
  * sink: Use device definition regardless of operation mode.
  * common: Use device definition when creating output stream.
  * common: Improve stream config fill function for input streams.
  * common: Apply input route immediately after creating input stream.
  * common: Store initial input stream metrics as defaults.
  * common: Use device definition with config fill function.
  * common: Try opening input stream with defaults before giving up.
  * source: Have input stream in correct state after startup.
  * source: Add a workaround for fm-radio loopback.
  * source: Reconfigure source if port is changed while source is running.
  * source: Reconfigure source to last connected source-output.
  * source: Don't cast function pointers.
  * parser-xml: Store profiles correctly for mix and device ports.
  * parser-xml: Refactor element list frees.
  * common: Check for right pointers in asserts.
  * common: Add two new quirks and set them enabled by default.
  * card: Don't create fast or deep buffer sinks if disabled by quirks.
  * README: Add description for two new quirks.
  * Merge pull request #95 from jusa/input-fixes
  * Bump packaging version.
  * common: Remove unused variables.
  * card: Park profiles correctly when switching between virtual profiles.
  * common: Always set earpiece routing after enabling voice call mode.
  * Merge pull request #96 from jusa/jb47194
  * Bump packaging version.

  [ TheKit ]
  * Merge remote-tracking branch 'debian-pm/master'
  * Branch packaging for Gemian

  [ Jonah Brüchert ]
  * Add GitLab ci configuration
  * Make sure we install to the correct module path
  * New upstream release (11.1.74)
  * Move .gitlab-ci.yml into debian folder
  * Update Vcs information
  * New upstream release 11.1.75
  * New upstream release 11.1.76
  * New upstream release 12.2.78-1
  * Release 12.2.78-1
  * Release new upstream version 12.2.79-1
  * Fix generating the pkgconfig files with proper pathes
  * Release 12.2.79-2
  * Fix pulseaudio droid module version
  * Detect pulseaudio version from the system, don't assume it's always the same as the droid module's one

  [ Marius Gripsgard ]
  * Fix pkgconf for debian based systems.

  [ Matti Lehtimäki ]
  * common: Add missing configuration file search locations.

  [ MikeSalmela ]
  * license: Fix license in spec.

  [ Alexey Min ]
  * modules: Fix compatibility with PulseAudio 13.0.

  [ JBBgameich ]
  * Initial commit
  * Add basic copyright
  * Fix dependency name
  * Fix clean step
  * Remove fail-missing
  * Rename to pulseaudio-module-droid
  * Fix rules
  * New upstream release 11.1.68
  * Add workaround for proper path detection
  * pulseaudio-module-droid-dev: update dependency name
  * rules: Use $(overridden_command)
  * Update git repository url
  * Run wrap-and-sort
  * Remove unused parts according to lintian
  * New upstream release
  * New upstream release
  * New upstrem release (11.1.73)

  [ Bhushan Shah ]
  * Revert "rules: Use $(overridden_command)"

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 11 Oct 2020 00:24:48 +0200

